Skip to main content
GET
/
v1
/
banks
/
wires
List all wire bank accounts
curl --request GET \
  --url https://api-sandbox.circle.com/v1/banks/wires \
  --header 'Authorization: Bearer <token>'
{
  "data": [
    {
      "id": "b8627ae8-732b-4d25-b947-1df8f4007a29",
      "status": "pending",
      "description": "WELLS FARGO BANK, NA ****0010",
      "trackingRef": "<string>",
      "fingerprint": "eb170539-9e1c-4e92-bf4f-1d09534fdca2",
      "billingDetails": {
        "name": "Satoshi Nakamoto",
        "city": "Boston",
        "country": "US",
        "line1": "100 Money Street",
        "postalCode": "01234",
        "line2": "Suite 1",
        "district": "MA",
        "valid": true
      },
      "createDate": "2020-04-10T02:13:30.000Z",
      "updateDate": "2020-04-10T02:13:30.000Z",
      "type": "wire",
      "bankAddress": {
        "country": "US",
        "bankName": "SAN FRANCISCO",
        "city": "SAN FRANCISCO",
        "line1": "100 Money Street",
        "line2": "Suite 1",
        "district": "CA"
      },
      "virtualAccountEnabled": false,
      "ffcMemo": "<string>"
    }
  ]
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Query Parameters

clientEntityId
string<uuid>

Identifier of the client entity. Filters results to fetch only resources associated with the specified client entity.

Example:

"a3f1b2c4-d5e6-7890-abcd-ef1234567890"

Response

Successfully retrieved a list of bank accounts.

data
object[]